import { jsx as _jsx } from "react/jsx-runtime";
import '@testing-library/jest-dom';
import { render, screen } from '@testing-library/react';
import MessageAttachmentsContainer from './MessageAttachmentsContainer';
test('Renders with children', () => {
    render(_jsx(MessageAttachmentsContainer, { children: "Test content" }));
    expect(screen.getByText('Test content')).toBeInTheDocument();
});
test('Renders with pf-chatbot__message-attachments-container class by default', () => {
    render(_jsx(MessageAttachmentsContainer, { children: "Test content" }));
    expect(screen.getByText('Test content')).toHaveClass('pf-chatbot__message-attachments-container', { exact: true });
});
test('Renders with custom className', () => {
    render(_jsx(MessageAttachmentsContainer, { className: "custom-class", children: "Test content" }));
    expect(screen.getByText('Test content')).toHaveClass('custom-class');
});
test('Spreads additional props', () => {
    render(_jsx(MessageAttachmentsContainer, { id: "test-id", children: "Test content" }));
    expect(screen.getByText('Test content')).toHaveAttribute('id', 'test-id');
});
